package com.ads.business.dao;

import com.ads.business.entity.DocHistory;
import com.ads.business.service.model.response.DocHistoryListResponse;
import com.ads.business.service.model.response.DocListResponse;
import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.toolkit.Constants;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * <p>
 *  Mapper 接口
 * </p>
 *
 * @author hou
 * @since 2021-10-21
 */
public interface DocHistoryDao extends BaseMapper<DocHistory> {

    /**
     * 根据文件ID获取当前文件的历史记录信息
     * @param wrapper 查询条件
     * @return  根据当前文件的ID获取历史记录信息
     */
    List<DocHistoryListResponse> getDocHistoryList(@Param(Constants.WRAPPER) QueryWrapper<DocHistoryListResponse> wrapper);
}
