package com.ads.business.entity;

import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.io.Serializable;
import java.util.Date;

/**
 * <p>
 * 会话表
 * </p>
 *
 * @author hou
 * @since 2021-11-18
 */
@Data
@EqualsAndHashCode(callSuper = false)
@TableName("hsay_conversation")
public class Conversation implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 群会话的ID(后续版本中chatid将不再使用，请将openConversationId作为群会话唯一标识。)
     */
    @TableId(value = "chat_id")
    private String chatId;

    /**
     * 新群会话的ID
     */
    private String openConversationId;

    /**
     * 会话类型 2：企业群。
     */
    private Integer conversationTag;

    /**
     * 会话名称
     */
    private String conversationName;

    /**
     * 群主的userid
     */
    private String ownerId;

    /****
     * 群主
     */
    private String ownerName;

    /**
     * 新成员是否可查看100条历史消息 1 可查看 0 不可查看
     */
    private Integer showHistoryType;

    /**
     * 群是否可以被搜索：0（默认）：不可搜索 1：可搜索
     */
    private Integer searchable;

    /**
     * 入群是否需要验证：0（默认）：不验证 1：入群验证
     */
    private Integer validationType;

    /**
     * @all 使用范围 0（默认）：所有人可使用 1：仅群主可@all
     */
    private Integer mentionAllAuthority;

    /**
     * 群管理类型：0（默认）：所有人可管理 1：仅群主可管理
     */
    private Integer managementType;

    /**
     * 是否开启群禁言：0（默认）：不禁言  1：全员禁言
     */
    private Integer chatBannedType;

    /**
     * 状态1：正常 2：已解散
     */
    private Integer status;

    /**
     * 群头像的mediaID
     */
    private String conversationIcon;

    /**
     * 创建时间
     */
    private Date createTime;

    /**
     * 创建人
     */
    private Long createUser;

    /**
     * 更新时间
     */
    private Date updateTime;

    /**
     * 更新人
     */
    private Long updateUser;


}
