package com.ads.business.service.model.response;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;


import java.util.List;

/**
 * @Description: 会话详情出参
 * @Author: JJC
 * @Date: 2021/11/19  16:46
 */
@Data
@ApiModel("会话详情出参")
public class ConversationDetail {

    /**
     * 会话名称
     */
    @ApiModelProperty(name = "群名称")
    private String conversationName;


    @ApiModelProperty(name = "群成员列表")
    private List<ConversationUserRelResponse> userRelList;

    /**
     * 新成员是否可查看100条历史消息 1 可查看 0 不可查看
     */
    @ApiModelProperty(name = "新成员是否可查看100条历史消息 1 可查看 0 不可查看")
    private Integer showHistoryType;

    /**
     * 群是否可以被搜索：0（默认）：不可搜索 1：可搜索
     */
    @ApiModelProperty(name = "群是否可以被搜索：0（默认）：不可搜索 1：可搜索")
    private Integer searchable;

    /**
     * 入群是否需要验证：0（默认）：不验证 1：入群验证
     */
    @ApiModelProperty(name = "入群是否需要验证：0（默认）：不验证 1：入群验证")
    private Integer validationType;

    /**
     * @all 使用范围 0（默认）：所有人可使用 1：仅群主可@all
     */
    @ApiModelProperty(name = "@all 使用范围 0（默认）：所有人可使用 1：仅群主可@all")
    private Integer mentionAllAuthority;

    /**
     * 群管理类型：0（默认）：所有人可管理 1：仅群主可管理
     */
    @ApiModelProperty(name = "群管理类型：0（默认）：所有人可管理 1：仅群主可管理")
    private Integer managementType;

    /**
     * 是否开启群禁言：0（默认）：不禁言  1：全员禁言
     */
    @ApiModelProperty(name = "是否开启群禁言：0（默认）：不禁言  1：全员禁言")
    private Integer chatBannedType;

}
