package com.ads.business.service.model.response;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;

/**
 * @Description 会话管理列表出参
 * @Author JJC
 * @Date 2021/11/19 15:56
 */
@Data
@ApiModel("会话管理列表出参")
public class ConversationListResponse {

    /**
     * 群会话的ID(后续版本中chatid将不再使用，请将openConversationId作为群会话唯一标识。)
     */
    @ApiModelProperty("chatId")
    private String chatId;

    /**
     * 群名称
     */
    @ApiModelProperty("群名称")
    private String conversationName;

    /****
     * 群主
     */
    @ApiModelProperty("群主")
    private String ownerName;

    /**
     * 创建时间
     */
    @ApiModelProperty("创建时间")
    @JsonFormat(timezone = "GMT+8", pattern = "yyyy-MM-dd HH:mm:ss")
    private Date createTime;
}
